Bug 121775 - Need latest XCode for debugging on Tiger (10.4)
Need latest XCode for debugging on Tiger (10.4)
Status: RESOLVED WONTFIX
Product: cnd
Classification: Unclassified
Component: Debugger
6.x
Macintosh Mac OS X
: P2 (vote)
: 6.x
Assigned To: _ gordonp
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 23:16 UTC by _ gordonp
Modified: 2009-06-25 10:59 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ gordonp 2007-11-12 23:16:01 UTC
When debugging on the Macintosh with Tiger (10.4), the default version of gcc/g++ generates
code with a bug in the debug output. Apple released an updated XCode (version 2.4.1) with a
fix for this problem. The correct versions of gcc/g++/gdb are:

    gcc: 4.0.1  - Apple build 5367
    g++: 4.0.1  - Apple build 5367
    gdb: 6.3.50 - Apple build 573 (10/20/2006)

> Xcode 2.4.1 addresses several issues in DWARF debugging and improves
> overall stability and security. It is recommended that all Xcode users
> install this update."

To download this version of XCode, see http://developer.apple.com/tools/download.

This problem is not an issue on Leopard (10.5).

The symptoms of the problem are that executables compiled with the -gdwarf flag
(the default for C/C++ application projects) have incorrect line information and
breakpoints may be ignored.
Comment 1 _ gordonp 2008-11-17 22:59:12 UTC
Closing as WONTFIX as Tiger is *very* obsolete.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo